<?php
/**
 * @Author: José Elías Gutierrez
 * @Date:   2017-06-10 10:47:59
 * @Last Modified by:   fry
 * @Last Modified time: 2017-06-19 13:31:28
 */
?>

<div class="col-sm-12">

    <table class="wp-list-table widefat fixed striped posts">
        <thead>
        <tr>
            <th>#</th>
            <th>Tarifa</th>
            <th></th>
        </tr>
        </thead>

        <?php foreach ($rates as $key => $rate) { ?>
            
            <tr>    
                <td><?php echo $key; ?></td>
                <td><?php echo $rate['name']; ?></td>
                <td class="text-right">
                    <a class="jebe-edit-rate dashicons dashicons-welcome-write-blog" data-value="<?php echo $rate['name']; ?>" data-rate="<?php echo htmlspecialchars(json_encode($rate)); ?>"></a>
                    <a class="jebe-remove-rate dashicons dashicons-no-alt" data-value="<?php echo $rate['name']; ?>"></a>
                </td>
            </tr>

        <?php } ?>

    </table>

</div>

<script type="text/javascript">
    

    (function($){

        $('.jebe-edit-rate').on('click', function(){
            var rate =  JSON.parse($(this).attr('data-rate'));
            $('input[name=jebe_rate_name]').val($(this).attr('data-value'));
            for(var i in rate.rates) {
                $('input[name='+i+']').val(rate.rates[i]);
            }

        });

        $('.jebe-remove-rate').on('click', function(){

            $("#jebe_settings_form").append('<input type="hidden" name="delete" value="'+$(this).attr('data-value')+'">');
            $('input[name=jebe_rate_name]').val($(this).attr('data-value'));

            $('#submit').trigger('click');

        });

    })(jQuery);

</script>
